<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\api\controller\suyuan_operation;


use app\api\controller\BaseApiController;
use app\common\controller\BaseLikeAdminController;
use app\api\lists\suyuan_operation\OperationDewormingLogLists;
use app\api\logic\suyuan_operation\OperationDewormingLogLogic;
use app\api\validate\suyuan_operation\OperationDewormingLogValidate;


/**
 * OperationDewormingLog控制器
 * Class OperationDewormingLogController
 * @package app\api\controller\suyuan_operation
 */
class OperationDewormingLogController extends BaseApiController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/15 10:04
     */
    public function lists()
    {
        return $this->dataLists(new OperationDewormingLogLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/15 10:04
     */
    public function add()
    {
        $params = (new OperationDewormingLogValidate())->post()->goCheck('add');
        $result = OperationDewormingLogLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(OperationDewormingLogLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/15 10:04
     */
    public function edit()
    {
        $params = (new OperationDewormingLogValidate())->post()->goCheck('edit');
        $result = OperationDewormingLogLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(OperationDewormingLogLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/15 10:04
     */
    public function delete()
    {
        $params = (new OperationDewormingLogValidate())->post()->goCheck('delete');
        OperationDewormingLogLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/01/15 10:04
     */
    public function detail()
    {
        $params = (new OperationDewormingLogValidate())->goCheck('detail');
        $result = OperationDewormingLogLogic::detail($params);
        return $this->data($result);
    }


}